Projects
Add an imported git repository to this project
Add an imported git repository to this project. Required permissions: ChangeProjectSettings
POST
/
api
/
projects
/
v1
/
projects
/
{projectId}
/
repositories
Add an imported git repository to this project
curl --request POST \
--url https://mycluster.domino.tech/api/projects/v1/projects/{projectId}/repositories \
--header 'Content-Type: application/json' \
--header 'X-Domino-Api-Key: <api-key>' \
--data '
{
"uri": "https://github.com/torvalds/linux",
"gitCredentialId": "<string>",
"name": "<string>"
}
'import requests
url = "https://mycluster.domino.tech/api/projects/v1/projects/{projectId}/repositories"
payload = {
"uri": "https://github.com/torvalds/linux",
"gitCredentialId": "<string>",
"name": "<string>"
}
headers = {
"X-Domino-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Domino-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
uri: 'https://github.com/torvalds/linux',
gitCredentialId: '<string>',
name: '<string>'
})
};
fetch('https://mycluster.domino.tech/api/projects/v1/projects/{projectId}/repositories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"notices": [
"<string>"
],
"requestId": "<string>"
},
"repository": {
"defaultRef": {
"refType": "head",
"value": "<string>"
},
"id": "62604702b7e5d347dbe7a908",
"serviceProvider": "bitbucket",
"uri": "https://github.com/torvalds/linux",
"name": "<string>"
}
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
DominoApiKeyBearerAuthentication
Path Parameters
Project ID
Body
application/json
Repository to add
URI of the repository origin
Example:
"https://github.com/torvalds/linux"
Show child attributes
Show child attributes
Id of the git creds to use for the repo. Credentials only apply for the current user, and other users will need to add their own unique creds.
Optional name of the repository in the project
Git service provider
Available options:
bitbucket, bitbucketServer, github, githubEnterprise, gitLab, gitLabEnterprise, unknown Last modified on June 26, 2026
Related topics
Domino File System ProjectsAudit Trail Data GlossaryGet all imported git repositories in this projectResolve a git reference to a commit SHA for an imported repositoryWas this page helpful?
⌘I
Add an imported git repository to this project
